Author Topic: A Couple Of Issues  (Read 17252 times)

catelite

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Re: A Couple Of Issues
« Reply #30 on: January 26, 2017, 08:19:11 PM »
Great :) I'll sync up and test tonight, thx!

PinealServo

  • Newbie
  • *
  • Posts: 30
  • Karma: +0/-0
    • View Profile
Re: A Couple Of Issues
« Reply #31 on: January 27, 2017, 05:42:17 AM »
For those of you pulling from bitbucket: I did some more investigation into the issue relating to libgstvideo, and it turns out that since the gstreamer binary libraries were last updated in the repository, the gstreamer headers (which you have to install separately for development at this point) changed slightly so that what was once a macro got changed to a function. If you installed gstreamer 1.6 or newer on Windows, you'll run into this problem and you'll get a pop-up window telling you about a DLL problem. Note that you don't get any benefit from having newer gstreamer libraries installed; when you run RetroFE as packaged in the Artifacts directory, it uses the version from the repo rather than the one you built against the headers of. Until the libraries in the repo are updated, or some other solution is put in place, I'd recommend installing and building against gstreamer 1.4 if you hit the problem.

On Linux and Mac, there aren't any binary libraries in the repo, so this mismatch doesn't occur. You'll build with the same headers that your version of the installed libraries were built with, so it will all match up and be happy.

catelite

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Re: A Couple Of Issues
« Reply #32 on: January 27, 2017, 07:49:41 AM »
Videos looking good again on windows here too, thx PinealServo  :)

Pieter Hulshoff

  • Administrator
  • Hero Member
  • *****
  • Posts: 1537
  • Karma: +46/-14
    • View Profile
    • Towel 42
Re: A Couple Of Issues
« Reply #33 on: January 27, 2017, 11:05:37 AM »
Any thoughts regarding our options? Should we upgrade to a later gstreamer version or should people who compile use an older version?

Sent from my SM-G920F using Tapatalk


PinealServo

  • Newbie
  • *
  • Posts: 30
  • Karma: +0/-0
    • View Profile
Re: A Couple Of Issues
« Reply #34 on: January 27, 2017, 04:15:38 PM »
There are two other options I can see:

1. Include the header files for gstreamer in the ThirdParty directory like we do with the SDL libs. Including the whole as-installed gstreamer directory could be rather large, though.
2. There's old code in the python script, currently commented out, that would pull the gstreamer libraries from the same place the headers are installed. If we fix that, we could remove the 'core' directory in the repository.

None of the options are a perfect solution, but that's dependency management for you. :)